import java.awt.Desktop;
import java.awt.Desktop.Action;
import java.net.URI;

public class Class395 {

   public int anInt4876 = -528877568;
   public int anInt4877 = 0;
   public int anInt4878 = 679438336;
   public int anInt4879 = 0;


   void method6747(RS2Buffer var1, byte var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(var3 == 0) {
            return;
         }

         this.method6748(var1, var3, -10533974);
      }
   }

   void method6748(RS2Buffer var1, int var2, int var3) {
      if(1 == var2) {
         this.anInt4879 = var1.readUnsignedByte(-700559597) * 598191477;
      } else if(var2 == 2) {
         this.anInt4878 = var1.readUnsignedShort(-937710807) * -379252755;
      } else if(3 == var2) {
         this.anInt4876 = var1.readUnsignedShort(-937710807) * 2000424767;
      } else if(var2 == 4) {
         this.anInt4877 = var1.method13732(-906474590) * 1875406663;
      }

   }

   void method6749(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(var2 == 0) {
            return;
         }

         this.method6748(var1, var2, 322043847);
      }
   }

   void method6750(RS2Buffer var1, int var2) {
      if(1 == var2) {
         this.anInt4879 = var1.readUnsignedByte(-700559597) * 598191477;
      } else if(var2 == 2) {
         this.anInt4878 = var1.readUnsignedShort(-937710807) * -379252755;
      } else if(3 == var2) {
         this.anInt4876 = var1.readUnsignedShort(-937710807) * 2000424767;
      } else if(var2 == 4) {
         this.anInt4877 = var1.method13732(-1995195648) * 1875406663;
      }

   }

   void method6751(RS2Buffer var1, int var2) {
      if(1 == var2) {
         this.anInt4879 = var1.readUnsignedByte(-700559597) * 598191477;
      } else if(var2 == 2) {
         this.anInt4878 = var1.readUnsignedShort(-937710807) * -379252755;
      } else if(3 == var2) {
         this.anInt4876 = var1.readUnsignedShort(-937710807) * 2000424767;
      } else if(var2 == 4) {
         this.anInt4877 = var1.method13732(-1975722665) * 1875406663;
      }

   }

   void method6752(RS2Buffer var1, int var2) {
      if(1 == var2) {
         this.anInt4879 = var1.readUnsignedByte(-700559597) * 598191477;
      } else if(var2 == 2) {
         this.anInt4878 = var1.readUnsignedShort(-937710807) * -379252755;
      } else if(3 == var2) {
         this.anInt4876 = var1.readUnsignedShort(-937710807) * 2000424767;
      } else if(var2 == 4) {
         this.anInt4877 = var1.method13732(2048671410) * 1875406663;
      }

   }

   void method6753(RS2Buffer var1, int var2) {
      if(1 == var2) {
         this.anInt4879 = var1.readUnsignedByte(-700559597) * 598191477;
      } else if(var2 == 2) {
         this.anInt4878 = var1.readUnsignedShort(-937710807) * -379252755;
      } else if(3 == var2) {
         this.anInt4876 = var1.readUnsignedShort(-937710807) * 2000424767;
      } else if(var2 == 4) {
         this.anInt4877 = var1.method13732(2127921471) * 1875406663;
      }

   }

   public static void method6754(String var0, boolean var1, String var2, boolean var3, short var4) {
      if(var1) {
         if(!var3 && Desktop.isDesktopSupported() && Desktop.getDesktop().isSupported(Action.BROWSE)) {
            try {
               Desktop.getDesktop().browse(new URI(var0));
               return;
            } catch (Exception var6) {
               ;
            }
         }

         if(Class281.aString3284.startsWith("win") && !var3) {
            Class463_Sub2.method12784(var0, 0, (byte)127);
            return;
         }

         if(Class281.aString3284.startsWith("mac")) {
            Class67.method1433(var0, 1, var2, 2088814234);
            return;
         }

         Class463_Sub2.method12784(var0, 2, (byte)127);
      } else {
         Class463_Sub2.method12784(var0, 3, (byte)127);
      }

   }
}
